SystemOrganization addCategory: #ConfigurationOfIliad!

Object subclass: #ConfigurationOfIliad
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfIliad'!

!ConfigurationOfIliad commentStamp: 'GermanArduino 1/26/2010 12:03' prior: 0!
Use:

ConfigurationOfIliad load --> To load Sport, Swazoo, Magritte-Model and Iliad on the image.

ConfigurationOfIliad loadAndStart --> To load Sport, Swazoo, Magritte-Model and Iliad on the image and start the webserver and the console.

To install versión 0.8 you need also download and decompress on the image folder, the directory named "Public" from http://iliadproject.org/attachments/10/Iliad-Dev-0.8-Public.zip.


To check the configuration:

(ConfigurationOfIliad project version: '0.8') spec.
(ConfigurationOfIliad project version: '0.8-baseline') spec.
!

!ConfigurationOfIliad class methodsFor: 'private' stamp: 'GermanArduino 1/20/2010 17:43'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfIliad class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 2/10/2014 15:30'!
catalogChangeLog
		
	^ ''
! !

!ConfigurationOfIliad class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 2/10/2014 15:34'!
catalogContactInfo
	^ 'Core Developers
Nicolas Petton 
Sébastien Audier

Contributors (By alphabetical order):
Bernat Romagosa
Bèrto ëd Sèra
Canol Gökel
Eli Green
Germán Arduino
Göran Krampe
Gwenael Casaccio
Hernan Morales Durand
Janko Mivsek
Joachim Jaeckel
Paolo Bonzini
Stefan Schmiedl
Tony Fleig

Configuration written by Hernan Morales Durand <hernan.morales@gmail.com>'! !

!ConfigurationOfIliad class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 2/10/2014 15:30'!
catalogDescription

	^ 'Iliad is not a traditional web framework. Heavily based on reusable stateful widgets, Iliad lets you build powerful dynamic applications easily. It allows you to trigger smalltalk code when an user clicks on a link or submit a form instead of bothering you with low level details.
Thanks to its javascript layer Iliad automatically uses AJAX requests to update the client state, and it will nicely degrade to normal requests if javascript is not enabled, so you don''t have to bother about that either

See page at http://doc.iliadproject.org/ for details'! !

!ConfigurationOfIliad class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 2/10/2014 15:31'!
catalogKeyClassesAndExample

	^ ''! !

!ConfigurationOfIliad class methodsFor: 'catalog' stamp: 'HernanMoralesDurand 2/10/2014 16:02'!
catalogKeywords
	^ #(web http ajax webapp framework)! !

!ConfigurationOfIliad class methodsFor: 'private' stamp: 'GermanArduino 1/20/2010 17:43'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfIliad class methodsFor: 'metacello tool support' stamp: 'GermanArduino 1/20/2010 17:43'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfIliad class methodsFor: 'metacello tool support' stamp: 'GermanArduino 1/20/2010 17:43'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfIliad class methodsFor: 'loading' stamp: 'gsa 1/24/2010 10:26'!
load
	"self load"

	self project latestVersion load! !

!ConfigurationOfIliad class methodsFor: 'loading' stamp: 'HernanMoralesDurand 1/9/2014 23:00'!
loadAndStart
	"self load"

	self project latestVersion load.
	
	"Start Iliad with Comanche Server on port 8080 and open console"
	Smalltalk at: #IliadKom ifPresent: [ : srv | srv startOn: 8080 ].
	Smalltalk at: #IliadConsole ifPresent: [:cl |  cl fullView ].! !

!ConfigurationOfIliad class methodsFor: 'metacello tool support' stamp: 'GermanArduino 1/20/2010 17:43'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfIliad class methodsFor: 'accessing' stamp: 'GermanArduino 1/20/2010 17:43'!
project

	^self new project! !

!ConfigurationOfIliad methodsFor: 'baselines' stamp: 'HernanMoralesDurand 1/10/2014 12:32'!
baseline0913: spec
	<version: '0.9.1.3-baseline'>

	spec for: #common do: [
		spec 
			blessing: #baseline;
			repository: 'http://www.smalltalkhub.com/mc/hernan/Iliad/main'.
		spec
			project: 'KomHttpServer' with: [
				spec
					className: 'ConfigurationOfKomHttpServer';
					version: #stable;
					repository: 'http://www.smalltalkhub.com/mc/hernan/KomHttpServer/main' ];
			yourself.
		spec
			project: 'Grease' with: [ 
				spec
					className: 'ConfigurationOfGrease';
					version: #stable;
					repository: 'http://www.smalltalkhub.com/mc/hernan/Grease/main' ];
			yourself.
		  spec 
			package: 'Iliad-Core' 					with: [ spec requires: 'Grease' ];
			package: 'Iliad-Comanche' 				with: [ spec requires: #( 'Iliad-Core' 'KomHttpServer') ];
			package: 'Iliad-More-Formula' 			with: [ spec requires: 'Iliad-Core' ];			
			package: 'Iliad-More-HTML5Elements' 	with: [ spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-UI' 				with: [ spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-Examples' 			with: [ spec requires: #( 'Iliad-Core' )];
			package: 'Iliad-More-Comet' 			with: [ spec requires: 'Iliad-Core' ];		
			package: 'Iliad-More-RSS' 				with: [ spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-CometExample' 	with: [ spec requires: #( 'Iliad-Core' 'Iliad-More-Comet')];							
			package: 'Iliad-Tests' 					with: [ spec requires: #('Iliad-Core' 'Iliad-More-RSS')];
			yourself ].

		spec for: #pharo do: [ 
			spec 
				package: 'Iliad-Core' 					with: [ spec includes: 'Iliad-Pharo-Core' ];		
				package: 'Iliad-Pharo-Core' 				with: [ spec requires: 'Iliad-Core' ];
				yourself ].

		spec for: #gemstone do: [
			spec 
				package: 'Iliad-Core' 					with: [ spec includes: 'Iliad-GemStone-Core' ];
				package: 'Iliad-GemStone-Core' 		with: [ spec requires: 'Iliad-Core' ];
				yourself ]! !

!ConfigurationOfIliad methodsFor: 'baselines' stamp: 'HernanMoralesDurand 4/15/2015 12:42'!
baseline0914: spec
	<version: '0.9.1.4-baseline'>

	spec for: #common do: [
		spec 
			blessing: #baseline;
			repository: 'http://www.smalltalkhub.com/mc/hernan/Iliad/main'.
		spec
			project: 'KomHttpServer' with: [
				spec
					className: 'ConfigurationOfKomHttpServer';
					version: #stable;
					repository: 'http://www.smalltalkhub.com/mc/hernan/KomHttpServer/main' ];
			yourself.
		spec
			project: 'Grease' with: [ 
				spec
					className: #ConfigurationOfGrease;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/';
					repository: 'http://www.smalltalkhub.com/mc/Seaside/Grease11/main' ];
			yourself.
		  spec 
			package: 'Iliad-Core' 					with: [ spec requires: 'Grease' ];
			package: 'Iliad-Comanche' 				with: [ spec requires: #( 'Iliad-Core' 'KomHttpServer') ];
			package: 'Iliad-More-Formula' 			with: [ spec requires: 'Iliad-Core' ];			
			package: 'Iliad-More-HTML5Elements' 	with: [ spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-UI' 				with: [ spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-Examples' 		with: [ spec requires: #( 'Iliad-Core' )];
			package: 'Iliad-More-Comet' 			with: [ spec requires: 'Iliad-Core' ];		
			package: 'Iliad-More-RSS' 				with: [ spec requires: 'Iliad-Core' ];
			package: 'Iliad-More-CometExample' 	with: [ spec requires: #( 'Iliad-Core' 'Iliad-More-Comet')];							
			package: 'Iliad-Tests' 					with: [ spec requires: #('Iliad-Core' 'Iliad-More-RSS')];
			yourself ].

		spec for: #pharo do: [ 
			spec 
				package: 'Iliad-Core' 					with: [ spec includes: 'Iliad-Pharo-Core' ];		
				package: 'Iliad-Pharo-Core' 			with: [ spec requires: 'Iliad-Core' ];
				yourself ].

		spec for: #gemstone do: [
			spec 
				package: 'Iliad-Core' 					with: [ spec includes: 'Iliad-GemStone-Core' ];
				package: 'Iliad-GemStone-Core' 		with: [ spec requires: 'Iliad-Core' ];
				yourself ]! !

!ConfigurationOfIliad methodsFor: 'baselines' stamp: 'HernanMoralesDurand 4/16/2015 03:14'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.smalltalkhub.com/mc/hernan/Iliad/main'.
		spec 
			project: 'KomHttpServer' with: [
				spec
					className: #ConfigurationOfKomHttpServer;
					versionString: #'stable';
					repository: 'http://www.smalltalkhub.com/mc/hernan/KomHttpServer/main' ];
			project: 'Grease' with: [
				spec
					className: #ConfigurationOfGrease;
					versionString: #'stable';
					repository: 'http://www.smalltalkhub.com/mc/hernan/Grease/main' ].
		spec 
			package: 'Iliad-Core' with: [
				spec requires: #('Grease' ). ];
			package: 'Iliad-Pharo-Core' with: [
				spec requires: #('Iliad-Core' ). ];
			package: 'Iliad-Comanche' with: [
				spec requires: #('Iliad-Core' 'KomHttpServer' ). ];
			package: 'Iliad-More-Formula' with: [
				spec requires: #('Iliad-Core' ). ];
			package: 'Iliad-More-HTML5Elements' with: [
				spec requires: #('Iliad-Core' ). ];
			package: 'Iliad-More-UI' with: [
				spec requires: #('Iliad-Core' ). ];
			package: 'Iliad-More-Examples' with: [
				spec requires: #('Iliad-Core' ). ];
			package: 'Iliad-More-Comet' with: [
				spec requires: #('Iliad-Core' ). ];
			package: 'Iliad-More-RSS' with: [
				spec requires: #('Iliad-Core' ). ];
			package: 'Iliad-More-CometExample' with: [
				spec requires: #('Iliad-Core' 'Iliad-More-Comet' ). ];
			package: 'Iliad-Tests' with: [
				spec requires: #('Iliad-Core' 'Iliad-More-RSS' ). ]. ].
! !

!ConfigurationOfIliad methodsFor: 'symbolic versions' stamp: 'HernanMoralesDurand 4/16/2015 03:17'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.9.1.4-baseline'.
! !

!ConfigurationOfIliad methodsFor: 'doits' stamp: 'HernanMoralesDurand 1/9/2014 22:59'!
postLoad
	"Not used now, instead check class method #loadAndStart"
	"Start SwazooIliad on port 9000 and open console"
"	Smalltalk at: #SwazooIliad ifPresent: [:srv | srv startOn: 9000].
	Smalltalk at: #IliadConsole ifPresent: [:cl |  cl fullView ]."
	
	Smalltalk at: #IliadKom ifPresent: [ : srv | srv startOn: 8080 ].
! !

!ConfigurationOfIliad methodsFor: 'accessing' stamp: 'gsa 1/24/2010 10:17'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear]! !

!ConfigurationOfIliad methodsFor: 'symbolic versions' stamp: 'HernanMoralesDurand 4/16/2015 03:17'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.9.1.5'.

	spec for: #'pharo4.x' version: '0.9.1.5'.
! !

!ConfigurationOfIliad methodsFor: 'versions' stamp: 'HernanMoralesDurand 10/13/2014 13:23'!
version0913: spec
	<version: '0.9.1.3' imports: #('0.9.1.3-baseline' )>

	spec for: #'common' do: [
  		spec 
			blessing: #release;
			description: '0.9.1.3 (HernanMoralesDurand):
- merged with Iliad-Core.0.9.1.3-NicolasPetton.4, Iliad-Core.0.9.1.3-MarianoMartinezPeck.10';
			author: 'HernanMoralesDurand';
			timestamp: '10/02/2014 15:00:00';

			package: 'Iliad-Core' 					with: 'Iliad-Core.0.9.1.3-HernanMoralesDurand.15';
			package: 'Iliad-Comanche' 				with: 'Iliad-Comanche.0.9.1.3-sa.2';
			package: 'Iliad-More-Formula' 			with: 'Iliad-More-Formula.0.9.1.3-HernanMoralesDurand.6';			
			package: 'Iliad-More-HTML5Elements' 	with: 'Iliad-More-HTML5Elements.0.9.1.3-NicolasPetton.1';
			package: 'Iliad-More-UI' 				with: 'Iliad-More-UI.0.9.1.3-MarianoMartinezPeck.4';
			package: 'Iliad-More-Examples' 			with: 'Iliad-More-Examples.0.9.1.3-HernanMoralesDurand.3';
			package: 'Iliad-More-RSS' 				with: 'Iliad-More-RSS.0.9.1.3-HernanMoralesDurand.2';
			package: 'Iliad-Tests' 					with: 'Iliad-Tests.0.9.1.3-NicolasPetton.1'. ].

	spec for: #'pharo' do: [
		spec 
			package: 'Iliad-More-Comet' 			with: 'Iliad-More-Comet.0.9.1.3-HernanMoralesDurand.2';
			package: 'Iliad-More-CometExample' 	with: 'Iliad-More-CometExample.0.9.1.3-NicolasPetton.1';
			package: 'Iliad-Pharo-Core' 				with: 'Iliad-Pharo-Core.0.9.1.3-HernanMoralesDurand.2'. ].

	spec for: #'gemstone' do: [
		spec package: 'Iliad-GemStone-Core' 		with: 'Iliad-GemStone-Core-SebastienAudier.11'.
		spec package: 'Iliad-GemStone-Swazoo' 	with: 'Iliad-Gemstone-Swazoo-NicolasPetton.4' ].
! !

!ConfigurationOfIliad methodsFor: 'versions' stamp: 'HernanMoralesDurand 4/15/2015 12:44'!
version0914: spec
	<version: '0.9.1.4' imports: #('0.9.1.4-baseline' )>

	spec for: #'common' do: [
  		spec 
			blessing: #release;
			description: 'Iliad WebFramework Package Release';
			author: 'HernanMoralesDurand';
			timestamp: '04/15/2015 15:00:00';

			package: 'Iliad-Core' 					with: 'Iliad-Core.0.9.1.3-HernanMoralesDurand.15';
			package: 'Iliad-Comanche' 				with: 'Iliad-Comanche.0.9.1.3-sa.2';
			package: 'Iliad-More-Formula' 			with: 'Iliad-More-Formula.0.9.1.3-HernanMoralesDurand.6';			
			package: 'Iliad-More-HTML5Elements' 	with: 'Iliad-More-HTML5Elements.0.9.1.3-NicolasPetton.1';
			package: 'Iliad-More-UI' 				with: 'Iliad-More-UI.0.9.1.3-MarianoMartinezPeck.4';
			package: 'Iliad-More-Examples' 		with: 'Iliad-More-Examples.0.9.1.3-HernanMoralesDurand.3';
			package: 'Iliad-More-RSS' 				with: 'Iliad-More-RSS.0.9.1.3-HernanMoralesDurand.2';
			package: 'Iliad-Tests' 					with: 'Iliad-Tests.0.9.1.3-NicolasPetton.1'. ].

	spec for: #'pharo' do: [
		spec 
			package: 'Iliad-More-Comet' 			with: 'Iliad-More-Comet.0.9.1.3-HernanMoralesDurand.2';
			package: 'Iliad-More-CometExample' 	with: 'Iliad-More-CometExample.0.9.1.3-NicolasPetton.1';
			package: 'Iliad-Pharo-Core' 			with: 'Iliad-Pharo-Core.0.9.1.3-HernanMoralesDurand.2'. ].

	spec for: #'gemstone' do: [
		spec package: 'Iliad-GemStone-Core' 		with: 'Iliad-GemStone-Core-SebastienAudier.11'.
		spec package: 'Iliad-GemStone-Swazoo' 	with: 'Iliad-Gemstone-Swazoo-NicolasPetton.4' ].
! !

!ConfigurationOfIliad methodsFor: 'versions' stamp: 'HernanMoralesDurand 4/16/2015 03:17'!
version0915: spec
	<version: '0.9.1.5' imports: #('0.9.1.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.9.1.5'.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '4/16/2015 03:15'.
		spec 
			project: 'KomHttpServer' with: '7.1.3';
			project: 'Grease' with: '1.1.9'.
		spec 
			package: 'Iliad-Core' with: 'Iliad-Core.0.9.1.3-HernanMoralesDurand.17';
			package: 'Iliad-Pharo-Core' with: 'Iliad-Pharo-Core.0.9.1.3-HernanMoralesDurand.2';
			package: 'Iliad-Comanche' with: 'Iliad-Comanche.0.9.1.3-HernanMoralesDurand.6';
			package: 'Iliad-More-Formula' with: 'Iliad-More-Formula.0.9.1.3-HernanMoralesDurand.6';
			package: 'Iliad-More-HTML5Elements' with: 'Iliad-More-HTML5Elements.0.9.1.3-NicolasPetton.1';
			package: 'Iliad-More-UI' with: 'Iliad-More-UI.0.9.1.3-MarianoMartinezPeck.4';
			package: 'Iliad-More-Examples' with: 'Iliad-More-Examples.0.9.1.3-HernanMoralesDurand.4';
			package: 'Iliad-More-Comet' with: 'Iliad-More-Comet.0.9.1.3-HernanMoralesDurand.2';
			package: 'Iliad-More-RSS' with: 'Iliad-More-RSS.0.9.1.3-HernanMoralesDurand.3';
			package: 'Iliad-More-CometExample' with: 'Iliad-More-CometExample.0.9.1.3-NicolasPetton.1';
			package: 'Iliad-Tests' with: 'Iliad-Tests.0.9.1.3-HernanMoralesDurand.2'. ].
! !
